CPU soft lockup during boot if ipw3945 kill switch is on

Bug #63418 reported by Alex Onic on 2006-10-01
252
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Bugzilla
Invalid
Undecided
Unassigned
linux-source-2.6.17 (Ubuntu)
High
Ben Collins
Declined for Feisty by Ben Collins
linux-source-2.6.19 (Ubuntu)
High
Kyle McMartin
Declined for Feisty by Ben Collins
Edgy
Undecided
Unassigned
linux-source-2.6.20 (Ubuntu)
High
Ben Collins
Declined for Feisty by Ben Collins
linux-source-2.6.22 (Ubuntu)
Undecided
Unassigned
Declined for Feisty by Ben Collins

Bug Description

Binary package hint: linux-image-2.6.17-10-generic

When booting the system in about 70% of the cases the system locks up during the boot up splash screen.

If I switch to text console (F1) before the lockup occures it will show the following:
[17179605.640000] BUG: soft lockup detected on CPU#0!

Crash is caused by ipw394 kill switch turned on (ipw3945 disabled).

The lockup occured definitely with 2.6.17-8 and later. 2.6.17-7 seems to come up fine.

The computer is a Samsung Notebook R65 with Intel Pentium M Core Duo T2300.

Alex Onic (aonic) wrote :

In _most of_ the lockup cases system hangs immediately after the message
 * Checking file systems...

It also sometimes happened to hang earlier than that.

Please let me know if I can do some checks for you on my system.

Dr D J Clark (djc-online) wrote :

I have this problem with IBM/Lenovo R60e

[17179569.184000] Linux version 2.6.17-10-generic (root@palmer) (gcc version 4.1.2 20060920 (prerelease) (Ubuntu 4
.1.1-13ubuntu3)) #2 SMP Tue Sep 26 16:53:47 UTC 2006 (Ubuntu 2.6.17-10.24-generic)

it round about
[17179601.544000] EXT3 FS on sda2, internal journal
[17179601.632000] NET: Registered protocol family 17
[17179602.232000] tg3: eth0: Link is up at 100 Mbps, full duplex.
[17179602.232000] tg3: eth0: Flow control is on for TX and on for RX.
[17179602.488000] ipw3945: Radio Frequency Kill Switch is On:
[17179602.488000] Kill switch must be turned off for wireless networking to work.
[17179603.828000] NET: Registered protocol family 10
[17179603.828000] lo: Disabled Privacy Extensions
[17179603.828000] IPv6 over IPv4 tunneling driver
[17179611.368000] ReiserFS: sda11: found reiserfs format "3.6" with standard journal
[17179613.364000] ReiserFS: sda11: using ordered data mode
[17179613.388000] ReiserFS: sda11: journal params: device sda11, size 8192, journal first block 18, max trans len
1024, max batch 900, max commit age 30, max trans age 30
[17179613.388000] ReiserFS: sda11: checking transaction log (sda11)

exact messages were
[17179608.46400] BUG: soft lockup detected on CPU#0!

and, on a second occasion

[1719608.464000] BUG: soft lockup detected on CPU#0!

powered off and restarted, booted ok.

Dr D J Clark (djc-online) wrote :

I have just installed most recent upgrades and problem again:
[17179569.184000] Linux version 2.6.17-10-generic (root@rothera) (gcc version 4.1.2 200
60928 (prerelease) (Ubuntu 4.1.1-13ubuntu4)) #2 SMP Mon Oct 2 13:48:24 UTC 2006 (Ubuntu
 2.6.17-10.26-generic)

* Activating swap...
* Checking root file system...
fsck 1.39 (29-May-2006)
/dev/sda2: clean, 133049/651520 files, 545842/1301265 blocks

* checking file systems...
fsck 1.39 (29-May-2006)
Replaying journal..
Reiserfs journal '/dev/sda11' in blocks [18..8211]: 0 transactions replayed
[17179611.636000] BUG: soft lockup detected in CPU#0!

power off, reboot
I have just installed most recent upgrades and problem again:
[17179569.184000] Linux version 2.6.17-10-generic (root@rothera) (gcc version 4.1.2 200
60928 (prerelease) (Ubuntu 4.1.1-13ubuntu4)) #2 SMP Mon Oct 2 13:48:24 UTC 2006 (Ubuntu
 2.6.17-10.26-generic)

* Activating swap...
* Checking root file system...
fsck 1.39 (29-May-2006)
/dev/sda2: Superblock last write time is in future. FIXED
/dev/sda2: clean, 133049/651520 files, 545842/1301265 blocks

* checking file systems...
fsck 1.39 (29-May-2006)
Replaying journal..
Reiserfs journal '/dev/sda11' in blocks [18..8211]: 0 transactions replayed
[17179611.636000] BUG: soft lockup detected in CPU#0!

switch off, reboot
* checking file systems...
fsck 1.39 (29-May-2006)
Replaying journal..
[17179602.168000] ipw3945: Radio Frequency Kill Switch is On:
Reiserfs journal '/dev/sda11' in blocks [18..8211]: 0 transactions replayed
Checking internal tree..finished

continues to boot ok

Timothy (timothyparez) wrote :

I have the same problem with a Intel Core Duo 2x2.16Ghz
This bug has been reported many times in different forms but nobody seems to want to mark it as confirmed

Alex Onic (aonic) wrote :

These are some subjective notices:
After an earlier update the lockup seemed to occur for only 10% of the bootups. With one of the last updates it got worse again.

According to /var/log/aptitude linux-image and -headers were updated on:
Di, Okt 10 2006 10:48:15 +0200
Mi, Okt 11 2006 17:51:45 +0200
Fr, Okt 13 2006 09:50:34 +0200

restricted-modules were updated only on 10th.

After one of these updates I believe this issue really got severe.

Alex Onic (aonic) wrote :

Ok one more thought before I believe this bug stays unnoticed.

The lockup occurs in different points of bootup, but always during or after an fsck. This agrees with your observation Dr D J Clark.

During: Usually during a forced fs check
After: Meaning the next checkpoint for bootup is already being displayed, but then the lockup occurs

The asynchronous behavior makes me guess it has something to do with upstart.
upstart was last updated on Mi, Okt 11 2006 00:05:09 +0200, which is in the range when I think the lockup probability changed.

fsck or something like e2fs* was never updated since start of the logfile.

Mikael Nilsson (mini) wrote :

Yes, the timing seems right for me too regarding upstart... it started happening soon after I switched to upstart.

Hi

I have this same error:

[609.985601] BUG: soft lockup detected on CPU#0!

On shutdown.

This computer was running dapper flawlessly. I installed beta 2 of edgy amd64 because the dist-upgrade process failed and this error ocurred while rebooting after the installation process (i.e. booting with the live cd) and now after the installation.

I'm going to try and update and then I'll try and report more info.

thanks

Changed in linux-source-2.6.17:
status: Unconfirmed → Confirmed
Mikael Nilsson (mini) wrote :

Please note that bug 60053 is about soft lockups on halt/reboot. This bug is about booting. Are they necessarily the same?

Alex Onic (aonic) wrote :

I think I can confirm that the issue has something to do with the WLAN kill switch (see bug 60053).

With WLAN deactivated (kill switch on) the system came up 1 time out of 5 tries.
With WLAN activated it came up every time out of 3 tries.

It is ipw3945

Ante Karamatić (ivoks) wrote :

Bugs aren't the same. I didn't notice this one. This bug is about ipw3945, while bug 60053 is about usplash.

Unmarking as a duplicate.

Ante Karamatić (ivoks) wrote :

Importance medium cause bug affects (all or some) users or widely used ipw3945.

Changed in linux-source-2.6.17:
importance: Undecided → Medium
description: updated
Ante Karamatić (ivoks) wrote :

Maybe it shoud be "high" since it's a regression from dapper and earlier edgy releases?

Dr D J Clark (djc-online) wrote :

It certainly seems to be related to the wireless switch
I have been booting daily with wireless switch on two weeks and the problem has not occured. Today I booted with the Wireless switched off and had ¨soft lockup on CPU0¨. Rebooted, still with Wireless of and the boot was ok. I notice that just before the Reiser journal processing, which is where the lockup occurs there was with the sucessful boot a message ¨Wireless Kill Switch on" this does not seem to appear on occasions when the lockup occurs.

paniq (paniq) wrote :

can also reproduce the bug, happened 2 times, booted a different kernel then. i have indeed an ipw and a kill switch - i suppose having the kill switch disabled (lights on) will make the problem go away.

just wanted to let you know.

I installed Edgy three days ago, and have since probably booted my Lenovo X60s 20 times without any problems.
Today I dualbooted into Win XP and checked for BIOS updates.
I installed the 1.10 BIOS, rebooted, and have now tried four times to boot into Edgy with the same result each time:

[17179611.784000] BUG: soft lockup detected on CPU#0!

During the BIOS upgrade, the windows driver for the Intel PRO/Wireless was updated as well, but I reckon this only affects Windows, not Ubuntu or the BIOS. ...or?

My most important question: how can I at least boot into Ubuntu again - can I do something in the boot loader menu (adding commands) to perform a "safe boot" or something?

Thanks,
Christopher

paniq (paniq) wrote :

chris, just make sure that your killswitch is off (wlan _on_), on boot. it comes into effect after grub.

Mikael Nilsson (mini) wrote :

I no longer see this problem.

I can now boot fine even with killswitch on (Dell XPS M1710)

Mikael Nilsson (mini) wrote :

Sigh - now experiencing again. Somehow it's not completely random... I can boot everytime for some time, then for a while it never works. Very strange. How come this is not getting worked on? This should be a showstopper for edgy.

paniq (paniq) wrote :

as initially pointed out, there is a percentage of chance that it locks up.

i guess it is not being regarded as important because it affects only a "rare" piece of hardware.

then again, wait for 2.6.18.

Lex Berger (lexberger) wrote :

I can confirm this bug.

I am using a Samsung R65 with a Core Duo T2300E 1.66 GHz .

Same here, I'm using an HP/Compaq nx6320, however It does happen the most when I turn on the machine on battery, almost 90% porcent of the time It'll fail to boot.

soc (simon-ochsenreither) wrote :

with the new feisty kernel even my desktop system gets this error now! before i got it only on my dell inspiron 9400!

- desktop works with 2.6.17, but not with 2.6.19
- laptop doesn't work with 2.6.17, i couldn't try 2.6.19, because i can't even get to the cl because of this bug!

U Uto, 31. 10. 2006., u 14:40 +0000, soc je napisao/la:

> with the new feisty kernel even my desktop system gets this error now!
> before i got it only on my dell inspiron 9400!

Hm... I can report that with feisty kernel booting works even with kill
switch on.

Mikael Nilsson (mini) wrote :

tis 2006-10-31 klockan 16:57 +0000 skrev Ante Karamatić:
> Hm... I can report that with feisty kernel booting works even with kill
> switch on.

There is no linux-restricted modules for the 2.6.19 kernel yet, so I
don't think you have the ipw3945 driver loaded at all!

--
Plus ça change, plus c'est la même chose

Ante Karamatić (ivoks) wrote :

U Uto, 31. 10. 2006., u 17:20 +0000, Mikael Nilsson je napisao/la:

> There is no linux-restricted modules for the 2.6.19 kernel yet, so I
> don't think you have the ipw3945 driver loaded at all!

I do. I don't have userspace daemon.

Actually, I have now found out that my problem was caused by the built-in SD card reader. The
[17179611.784000] BUG: soft lockup detected on CPU#0!
message (and freeze) appears during boot-up if an SD card is present in the SD card reader.

-Christopher

Lex Berger (lexberger) wrote :

The bug occurs to me even if there is *no* SD card present in the built-in card reader (Ricoh R5C822 SD/SDIO/MMC/MS/MSPro). It does not make a difference.

Bartisimo (no-mice-king) wrote :

Hello,
I have the same bug on a Dell D620. Sometimes it happens even when the kill switch is off(wireless on).

Dr D J Clark (djc-online) wrote :

noting the report of bug 70722

I recently had a strange problem with my wireless connection which affected both edgy and dapper. The wireless connection appeared to be ok at boot but then mysteriously disconnected after a minute or so. After several attempts to restart networking and reboots of both Dapper and Edgy I booted to my WinXP partition to check it that was working. It was not, but after booting back to Dapper wireless resumed normal operation and has not been a problem (at least in Dapper) since.

Could this bug be a problem with the firmware binary that is loaded for the wireless driver?

soc (simon-ochsenreither) wrote :

I have this problem on al Dell Inspiron 9400, too (edgy and feisty kernel).
My solution was to boot the kernel 2.6.17-9, which works or to deactivate WiFi (ipw3945) in the bios.

Oliver (lobohacks) wrote :

Same problem here on a dell 640m/E1405
Occurs when I use the kill switch to turn off ipw3945 wlan module.

shrd (shrd) wrote :

I think this bug is more important than medium.
For million and million of laptop owners with the intel pro wireless (wifi), many of them kill wifi (to reduce power battery for example)
After installing edgy, many of them have seen their system hangs during boot. (include me...)
How many of them have reboot and reboot their system with the same result (no error displayed on the screen, system hangs)?
How many of them have thought to use the recovery mode after all these attempts? (many I think)
How many of them have next writen in google : 'ubuntu "soft lockup detected on CPU"' to be forward to this page or the duplicate bug page ?
And finally how many of them finally abort to install edgy on their system cause to this bug, and cause they just do not think to power on the wifi before the next boot or just after the boot (and before edgy load the driver)?

Mikael Nilsson (mini) wrote :

Bug 64125 seems to be a duplicate.

From that report, here's an upstream bug report:

http://bughost.org/bugzilla/show_bug.cgi?id=1096

Sascha Herres (saschaherres) wrote :

I can confirm that this behaviour seems to be caused by ipw394 in conjunction with the kill switch:

I have a non-modified Dell Latitude D820 and with no cables attached (even power) and no media inserted the systems freezes during booting up as long as WiFi is disabled (kill switch set to ON). When I enable WiFi (kill switch OFF) the system boots again. I tested this behaviour several times now.

The freeze happens during starting of "LVM" or running fsck with the message "BUG: soft lockup detected on CPU#0!". Sometimes I also had the "Superblock last write time is in future. FIXED" message on my screen just before the freeze.

I am willing to deliever detailed information if needed.

Ante Karamatić (ivoks) wrote :

All ipw3945 users are hit by this bug. It causes total loss of functionality with a hardware that's very common on laptops.

Thus marking it as High.

Changed in linux-source-2.6.17:
importance: Medium → High
Changed in bugzilla:
status: Unknown → In Progress
Mikael Nilsson (mini) wrote :

There's an innocent-looking patch to try here:

http://bughost.org/bugzilla/attachment.cgi?id=947

Any volonteers?

U Sri, 08. 11. 2006., u 10:53 +0000, Mikael Nilsson je napisao/la:

> Any volonteers?

Building source as I we speek, so I'll be able to test it an hour.

This patch gets out of the "while", so i think it will work but the question is what is the thermal sensor on wifi ?
and is it bad that it is not working fine? I have not much problem with the wifi, few disconnection but sometimes, strange behavior.
the time loss on boot with this patch (when the thermal sensor not working) : 10 microseconds x 1000 (udelay=microdelay no?) = 10 ms => it is not a real problem, but no better solution? if all drivers are programed like that, we can understand why the time to boot is so long.
And we will have the message 'thermal sensor seems to not work" on boot now (in place of the bug) but it is a better choice lol

ons 2006-11-08 klockan 13:07 +0000 skrev shrd:
> This patch gets out of the "while", so i think it will work but the question is what is the thermal sensor on wifi ?
> and is it bad that it is not working fine?

Of course this is a bug, and as you can see from the upstream bug
report, it seems intel is working on solving it. The patch is at least a
workaround.

/Mikael

>
--
Plus ça change, plus c'est la même chose

Mikael Nilsson (mini) wrote :

ons 2006-11-08 klockan 10:53 +0000 skrev Mikael Nilsson:
> There's an innocent-looking patch to try here:
>
> http://bughost.org/bugzilla/attachment.cgi?id=947
>
> Any volonteers?
>

Tried it, and it seems to fix the problem for me.

To try *on linux-image-2.6.17-10-generic only*, copy this file:

http://kmr.nada.kth.se/~mini/ubuntu/ipw3945.ko

to your

/lib/modules/2.6.17-10-generic/kernel/drivers/net/wireless/ipw3945/

directory, making sure to *backup the old file first*. And of course,
don't try this unless you trust me :-)

/Mikael

--
Plus ça change, plus c'est la même chose

Your "ipw3945.ko" (http://kmr.nada.kth.se/~mini/ubuntu/ipw3945.ko) seems to fix the problem (booting fine whether the killswith is ON or OFF and the wifi is working too)

Changed in linux-source-2.6.17:
assignee: nobody → ben-collins
Mikael Nilsson (mini) wrote :

BenC just said at #ubuntu-kernel that this fix might make it to an edgy update. Keep your eyes open.

Mikael Nilsson (mini) on 2006-11-08
Changed in bugzilla:
status: Unconfirmed → Unknown
Olli Salonen (daou) wrote :

Same problem with a Fujitsu-Siemens Amilo Si 1520-23, 2.6.17-10-generic.

The modified ipw3945.ko fixed the boot, but I lost sound afterwards. Restoring to the original ipw3945.ko did not help.

And the frequency kill switch is unresponsive during boot. If I forget to set it off after turning off the computer, I have to boot WinXP and turn wifi on there before Edgy is able to boot.

tor 2006-11-09 klockan 12:44 +0000 skrev Olli Salonen:
> Same problem with a Fujitsu-Siemens Amilo Si 1520-23, 2.6.17-10-generic.
>
> The modified ipw3945.ko fixed the boot, but I lost sound afterwards.
> Restoring to the original ipw3945.ko did not help.

Huh? That really has to be something else. Hopefully...

>
> And the frequency kill switch is unresponsive during boot. If I forget
> to set it off after turning off the computer, I have to boot WinXP and
> turn wifi on there before Edgy is able to boot.

That might depend on the laptop model. My Dell XPS M1710 can turn that
off at any time. Maybe yours is software-based? Don't know how to tell,
though.

>
--
Plus ça change, plus c'est la même chose

The ipw3945.ko patch worked for me.

The patched ipw3945.ko also works for me. Interestingly, my T60 only hangs with this error (with deactivated WLAN) when it's docked in my "Advanced Mini-Dock".
Never had this hang with deactivated WLAN without the dockingstation.

sponsoredbythewind (pvanoss) wrote :

I have a Dell Inspiron 6400, all standard out of the box.

The patch ipw3945.ko works for me, sofar that I don't have any trouble starting up any more.

But, there is this mysterious message in the log:

...ipw3945: thermal sensor seems not working...

I don't know what consequence this has. My laptop is not more then hand warm, in the tropics.
Will look for some 'thermal sensors' in Synaptics.

mån 2006-11-13 klockan 17:16 +0000 skrev sponsoredbythewind:
> I have a Dell Inspiron 6400, all standard out of the box.
>
> The patch ipw3945.ko works for me, sofar that I don't have any trouble
> starting up any more.
>
> But, there is this mysterious message in the log:
>
> ...ipw3945: thermal sensor seems not working...

That's a message generated by this patch. So it is to be expected.

However, I still don't know *why* the thermal sensors aren't working.
Maybe they won't work when the wireless is turned off.

But the above is nothing to worry about

/Mikael

--
Plus ça change, plus c'est la même chose

towsonu2003 (towsonu2003) wrote :

Mikael Nilsson wrote:
> mån 2006-11-13 klockan 17:16 +0000 skrev sponsoredbythewind:
>> ...ipw3945: thermal sensor seems not working...
>
> That's a message generated by this patch. So it is to be expected.
>
> However, I still don't know *why* the thermal sensors aren't working.
> Maybe they won't work when the wireless is turned off.
>
> But the above is nothing to worry about

Isn't it dangerous that the thermal sensors are not working? I mean, if
the thermal sensors are those for the hard disk, the battery, or the
cpu, the laptop will have no way of knowing about overheating, and if it
occurs, the user will end up with fried hardware (or, worse, fire
-overheating battery is bad for health ;) -)... Of course, I do not have
a real understanding of this issue and I am guessing what might happen.
Thanks.

Mikael Nilsson (mini) wrote :

mån 2006-11-13 klockan 18:07 +0000 skrev towsonu2003:

> Isn't it dangerous that the thermal sensors are not working? I mean, if
> the thermal sensors are those for the hard disk, the battery, or the
> cpu, the laptop will have no way of knowing about overheating, and if it
> occurs, the user will end up with fried hardware (or, worse, fire
> -overheating battery is bad for health ;) -)... Of course, I do not have
> a real understanding of this issue and I am guessing what might happen.
> Thanks.

It's only the sensors for the wireless card, and only when the antenna
is turned off. So I don't think it's a big deal. Once you turn on the
antenna, the sensors start working again (and the error message will
stop appearing).

But I'm only guessing...

/Mikael

>
--
Plus ça change, plus c'est la même chose

The thermal sensor on the wireless card is needed to ensure the wireless operates at the correct frequency. If the wireless is switched off then obviously it does not matter.
I assume the patch breaks a loop in which the system is held until the thermal sensor indicates that the wireless has 'warmed up' and calibrated.
The patch thus fixes the proximate cause of the lock-up problem but is no more than a patch for a more fundamental problem; if the wireless is switched off the system should not be attempting to load and set up wireless at all. (though this does raise the problem of how this should be done if the wireless is switched on after boot has completed.)

Eduard Ereza Martínez (ereza) wrote :

The patch also works for me, on a Toshiba Satellite A110-180.

Alex Onic (aonic) wrote :

Your ipw3945.ko works for me too!
Samsung R65

:D

Quanta (yohann-hamon) wrote :

The patch work for me too!

(but i still have the problem of the bug 58247)

Changed in bugzilla:
status: Unconfirmed → Rejected
Mikael Nilsson (mini) wrote :

BenC: there's a new, improved, patch upstream that only does the thermal check if the RF kill switch is off.

http://bughost.org/bugzilla/attachment.cgi?id=956

That's a good candidate for 2.6.19 as well.

Mikael Nilsson (mini) wrote :

applied the new patch to 2.6.19-6-generic (feisty kernel).

Patched modules available here:

http://kmr.nada.kth.se/~mini/ubuntu/

Ben Collins (ben-collins) wrote :

Patch looks ok. I'd like to understand why Intel hasn't accepted this patch into their source yet. Latest release doesn't show it.

Changed in linux-source-2.6.19:
importance: Undecided → High
status: Unconfirmed → Confirmed

tor 2006-11-23 klockan 06:21 +0000 skrev Ben Collins:
> Patch looks ok. I'd like to understand why Intel hasn't accepted this
> patch into their source yet. Latest release doesn't show it.

Not so strange, the lastest patch is from Nov 11, and 1.1.2 is from Nov
1.

/Mikael

>
> ** Changed in: linux-source-2.6.19 (Ubuntu)
> Importance: Undecided => High
> Status: Unconfirmed => Confirmed
>
--
Plus ça change, plus c'est la même chose

I have the same lockup message, but my problem seems unrelated maybe bug 72895 could somebody confirm ?

albertone1982 (albertone1982) wrote :

>applied the new patch to 2.6.19-6-generic (feisty kernel).
>
>Patched modules available here:
>
>http://kmr.nada.kth.se/~mini/ubuntu/

Sorry Mikael Nilsson, on the above link you say that the first patch is for the 2.6.17-10-generic module, while the second is for the 2.6.19-6-generic module. Since you also say that the second is closer to a final solution, is it worth for me trying to apply the second even if I have the 2.6.17-10-generic? Could it give me any problems?
Anyway, thank you for the solution!

fre 2006-11-24 klockan 10:19 +0000 skrev mandalb:
> >applied the new patch to 2.6.19-6-generic (feisty kernel).
> >
> >Patched modules available here:
> >
> >http://kmr.nada.kth.se/~mini/ubuntu/
>
> Sorry Mikael Nilsson, on the above link you say that the first patch
> is for the 2.6.17-10-generic module, while the second is for the
> 2.6.19-6-generic module. Since you also say that the second is closer
> to a final solution, is it worth for me trying to apply the second
> even if I have the 2.6.17-10-generic? Could it give me any problems?
> Anyway, thank you for the solution!

The 2.6.19-6-generic module will not even load on the 2.6.17-10-generic
kernel, so there is no point in trying. :-)

I have not had the time to do a rebuild of the 2.6.17-10-generic module
with the new patch, as I don't really think it matters very much, and it
seems edgy might get an updated kernel eventually anyway.

/Mikael

>
--
Plus ça change, plus c'est la même chose

Mikael Nilsson (mini) wrote :

tor 2006-11-23 klockan 06:21 +0000 skrev Ben Collins:
> Patch looks ok. I'd like to understand why Intel hasn't accepted this
> patch into their source yet. Latest release doesn't show it.

"Merged for 1.1.3" according to upstream bug.

/Mikael
--
Plus ça change, plus c'est la même chose

I just want to add that I get this bug with completely different hardware. I have an Acer Aspire 5021WLMi with a Broadcom BCM4318 rev 02 chipset that cannot be enabled through hardware/BIOS. I use the acer_acpi module to turn on the adapter through software and I call it in /etc/modules, but enable it using a custom pre-up script in /etc/networking. So, as I get crashes way before this point, I cannot boot 100% of the time. Dapper works perfectly, but upgrading to Edgy gave this bug, and a clean install of Edgy didn't help either.

--andrew

ons 2006-11-29 klockan 10:26 +0000 skrev Andrew Henry:
> I just want to add that I get this bug with completely different
> hardware. I have an Acer Aspire 5021WLMi with a Broadcom BCM4318 rev 02
> chipset that cannot be enabled through hardware/BIOS. I use the
> acer_acpi module to turn on the adapter through software and I call it
> in /etc/modules, but enable it using a custom pre-up script in
> /etc/networking. So, as I get crashes way before this point, I cannot
> boot 100% of the time. Dapper works perfectly, but upgrading to Edgy
> gave this bug, and a clean install of Edgy didn't help either.

So, what error message can you see during bootup?

Or are you getting a crash?

/Mikael

--
Plus ça change, plus c'est la même chose

first attempt at replying failed...second time lucky...

I'm getting (or was getting as I downgraded to Dapper again) "BUG: soft lockup detected on CPU#0!". Many times I would also get an error about kernel panic...in fact I got kernel panics more often than soft lockups, but I cannot remember the whole error message with the kernel panic.

When I boot-up with nosplash, I immediately get 4 error/warning messages, which I get even with Dapper:

"PCI: Cannot allocate resource region 7 of the bridge 0000:00:06.0"

...or region 8, and then most of the time, I would get the soft lockup message (only in Edgy). In Dapper, these 4 initial errors do not seem to affect the rest of the boot process and I have never had any issues running Dapper. Sometimes (very rarely), I could boot all the way into X after the upgrade to Edgy, but as soon as I started typing my login name, it would freeze and I would need to reboot. Once, after I did a clean install of Edgy, I could get into the GUI, but it would freeze at random points after a short while.

As I am upgrading, acer_acpi, the module that turns on my wireless, does not work in the new kernel, so I need to compile and install it again, but because the lockups happen so quickly, even when booting in safe mode, I do not get chance to do any of this.

If I upgrade again to Edgy, is it possible to keep 2.6.15-27-amd64-k8 kernel by removing the commented out section in grubs menu.lst, and boot using that with Edgy? If that is possible then I could at least have Edgy until the kernel is fixed. Another workaround I thought about was to upgrade to a 'knot' release of Edgy with an earlier kernel than 2.6.17-10 where the bug is not present, ans then continue to upgrade everything apart from the kernel until this is solved.

--andrew

Andrew, there's not much point filing a bug if you're not going to run 6.10 - how can you test solutions? Can you maybe install 6.10 to another partition so you can keep seeing what the problem is? For example, one installed you could use a live CD to put the new ipw3945 driver in and see if that helps.

Duncan Lithgow wrote:
> Andrew, there's not much point filing a bug if you're not going to run
> 6.10 - how can you test solutions? Can you maybe install 6.10 to another
> partition so you can keep seeing what the problem is? For example, one
> installed you could use a live CD to put the new ipw3945 driver in and
> see if that helps.
>
>
I didn't file this bug and I do not have an ipw3945, I just wanted to
add to the bug that I have bcm43xx and get the same problem, so it might
not be specific to the ipw3945 driver.

If anyone has a good solution to try then of course I will install Edgy
again as it goes quite quickly with having /home on a separate
partition, but I have one laptop used by my spouse and myself and cannot
afford to have a broken edgy installation for several weeks waiting for
suggestions to pop-up.

For me its the ipw3945 driver. I get "soft lockup on cpu #0!" Unless I turn wireless on at boot up.

Sergio Callegari (callegar) wrote :

Same problem here, with edgy and:
- Linux version 2.6.17-10-generic (root@vernadsky) (gcc version 4.1.2 20060928 (prerelease) (Ubuntu 4.1.1-13ubuntu5)) #2 SMP Fri Oct 13 18:45:35 UTC 2006 (Ubuntu 2.6.17-10.33-generic)
- on a DELL D820 (again with intel wireless)

Priority should be high... bug consequence is that an unsupervised machine cannot be safely remotely rebooted.

Alex Onic (aonic) wrote :

Mikael:
> "Merged for 1.1.3" according to upstream bug.

Does this mean we will have this fix in the repository soon?

I'm still having this issue with the current feisty kernel 2.6.19-7.11. Somehow I was thinking this was kinda fixed?

Alex

I can't install Herd 1 desktop CD because of this bug on my new Fujitsu Siemens Amilo Si 1520-5510.

Kyle McMartin (kyle) wrote :

Will merge the fix into edgy-updates and feisty.

Kyle McMartin (kyle) wrote :

Merged ipw3945 1.1.3 which should fix this bug according to upstream bugzilla & release notes.

Changed in linux-source-2.6.19:
assignee: nobody → kyle
status: Confirmed → Fix Committed
Andrew Fenn (andrewfenn) wrote :

I can't find this update anywhere. Any chance of being able to tell me where it is on edgy?

merc (merc) wrote :

Hi,

I am using the latestest Feisty, and the problem is still there. I haven't seen the update just yet.

Does anybody know when it will be available?

Merc.

Andrew Fenn (andrewfenn) wrote :

Its already been confirmed in Edgy and we're still awaiting a patch...

Changed in linux-source-2.6.19:
status: Unconfirmed → Confirmed
merc (merc) wrote :

Thank you for your response Andrew!

Sorry to bug you (no pun intended :-D )... do you know if the fix will be pushed to Feisty as well?

Merc.

merc (merc) wrote :

I just saw this:

linux-source-2.6.19 (Ubuntu) Fix Committed High Kyle McMartin

Hummmm I just wanted to let you guys know that I am using Feisty, and the problem is still there.

(I hope it wasn't meant to be fixed...!)

Merc.

JMO Mandia (jmomandia) wrote :

Found this patch with instructions on how to install (replace old ipw3945.ko):

http://kmr.nada.kth.se/~mini/ubuntu/

These files are patches to the ubuntu kernels, fixing the issue described here.

merc (merc) wrote :
Download full text (10.4 KiB)

Hi,

MO Mandia, unfortunately using feisty the patch doesn't work :-/

root@merc-laptop:/lib/modules/2.6.19-7-generic/kernel/ubuntu/wireless/ipw3945# modprobe ipw3945
FATAL: Error inserting ipw3945 (/lib/modules/2.6.19-7-generic/kernel/ubuntu/wireless/ipw3945/ipw3945.ko): Unknown symbol in module, or unknown parameter (see dmesg)
2006-12-14 00:44:10: ERROR: Could not find Intel PRO/Wireless 3945ABG Network Connection

From dmesg, it looks like the module is not quite compatible with feisty's kernel:

Dmesg:

[ 657.316000] ipw3945: disagrees about version of symbol __netif_schedule
[ 657.316000] ipw3945: Unknown symbol __netif_schedule
[ 657.316000] ipw3945: disagrees about version of symbol ieee80211_txb_free
[ 657.316000] ipw3945: Unknown symbol ieee80211_txb_free
[ 657.316000] ipw3945: disagrees about version of symbol unregister_netdev
[ 657.316000] ipw3945: Unknown symbol unregister_netdev
[ 657.316000] ipw3945: disagrees about version of symbol ieee80211_freq_to_channel
[ 657.316000] ipw3945: Unknown symbol ieee80211_freq_to_channel
[ 657.316000] ipw3945: disagrees about version of symbol kfree_skb
[ 657.316000] ipw3945: Unknown symbol kfree_skb
[ 657.316000] ipw3945: disagrees about version of symbol __alloc_skb
[ 657.316000] ipw3945: Unknown symbol __alloc_skb
[ 657.316000] ipw3945: disagrees about version of symbol netif_device_detach
[ 657.316000] ipw3945: Unknown symbol netif_device_detach
[ 657.316000] ipw3945: disagrees about version of symbol netif_device_attach
[ 657.316000] ipw3945: Unknown symbol netif_device_attach
[ 657.316000] ipw3945: disagrees about version of symbol skb_over_panic
[ 657.316000] ipw3945: Unknown symbol skb_over_panic
[ 657.316000] ipw3945: disagrees about version of symbol ieee80211_set_geo
[ 657.316000] ipw3945: Unknown symbol ieee80211_set_geo
[ 657.316000] ipw3945: disagrees about version of symbol dev_kfree_skb_any
[ 657.316000] ipw3945: Unknown symbol dev_kfree_skb_any
[ 657.316000] ipw3945: disagrees about version of symbol ieee80211_rx
[ 657.316000] ipw3945: Unknown symbol ieee80211_rx
[ 657.316000] ipw3945: disagrees about version of symbol ieee80211_get_channel
[ 657.316000] ipw3945: Unknown symbol ieee80211_get_channel
[ 657.316000] ipw3945: disagrees about version of symbol register_netdev
[ 657.316000] ipw3945: Unknown symbol register_netdev
[ 657.316000] ipw3945: disagrees about version of symbol ieee80211_channel_to_index
[ 657.316000] ipw3945: Unknown symbol ieee80211_channel_to_index
[ 657.316000] ipw3945: disagrees about version of symbol ieee80211_rx_mgt
[ 657.316000] ipw3945: Unknown symbol ieee80211_rx_mgt
[ 657.316000] ipw3945: disagrees about version of symbol ieee80211_get_geo
[ 657.316000] ipw3945: Unknown symbol ieee80211_get_geo
[ 657.316000] ipw3945: disagrees about version of symbol free_ieee80211
[ 657.316000] ipw3945: Unknown symbol free_ieee80211
[ 657.316000] ipw3945: disagrees about version of symbol netif_carrier_off
[ 657.316000] ipw3945: Unknown symbol netif_carrier_off
[ 657.316000] ipw3945: disagrees about version of symbol skb_copy
[ 657.316000] ipw3945: Unknown symbol skb_copy
[ 657.316000] ipw3945: disagrees about version of...

Kyle McMartin (kyle) wrote :

The fixed ipw3945 is in linux-source-2.6.20, please upgrade as 2.6.19 will be going away. I've backported to edgy-proposed and dapper-proposed. Those should be uploaded soon for testing.

Cheers,
  Kyle

Thanks! --joey

On 12/14/06, Kyle McMartin <email address hidden> wrote:
>
> The fixed ipw3945 is in linux-source-2.6.20, please upgrade as 2.6.19
> will be going away. I've backported to edgy-proposed and dapper-
> proposed. Those should be uploaded soon for testing.
>
> Cheers,
> Kyle
>
> --
> CPU soft lockup during bootup
> https://launchpad.net/bugs/63418
>

Mikael Nilsson (mini) wrote :
Download full text (11.1 KiB)

On ons, 2006-12-13 at 15:46 +0000, merc wrote:
> Hi,
>
> MO Mandia, unfortunately using feisty the patch doesn't work :-/
>
> root@merc-laptop:/lib/modules/2.6.19-7-generic/kernel/ubuntu/wireless/ipw3945# modprobe ipw3945

Well, the module was for the -6- version, so no wonder it doesn't work.
For anyone who can't wait for 2.6.20, there's now a 2.6.19-7-generic
module at

http://kmr.nada.kth.se/~mini/ubuntu/

/Mikael

> FATAL: Error inserting ipw3945 (/lib/modules/2.6.19-7-generic/kernel/ubuntu/wireless/ipw3945/ipw3945.ko): Unknown symbol in module, or unknown parameter (see dmesg)
> 2006-12-14 00:44:10: ERROR: Could not find Intel PRO/Wireless 3945ABG Network Connection
>
> >From dmesg, it looks like the module is not quite compatible with
> feisty's kernel:
>
> Dmesg:
>
> [ 657.316000] ipw3945: disagrees about version of symbol __netif_schedule
> [ 657.316000] ipw3945: Unknown symbol __netif_schedule
> [ 657.316000] ipw3945: disagrees about version of symbol ieee80211_txb_free
> [ 657.316000] ipw3945: Unknown symbol ieee80211_txb_free
> [ 657.316000] ipw3945: disagrees about version of symbol unregister_netdev
> [ 657.316000] ipw3945: Unknown symbol unregister_netdev
> [ 657.316000] ipw3945: disagrees about version of symbol ieee80211_freq_to_channel
> [ 657.316000] ipw3945: Unknown symbol ieee80211_freq_to_channel
> [ 657.316000] ipw3945: disagrees about version of symbol kfree_skb
> [ 657.316000] ipw3945: Unknown symbol kfree_skb
> [ 657.316000] ipw3945: disagrees about version of symbol __alloc_skb
> [ 657.316000] ipw3945: Unknown symbol __alloc_skb
> [ 657.316000] ipw3945: disagrees about version of symbol netif_device_detach
> [ 657.316000] ipw3945: Unknown symbol netif_device_detach
> [ 657.316000] ipw3945: disagrees about version of symbol netif_device_attach
> [ 657.316000] ipw3945: Unknown symbol netif_device_attach
> [ 657.316000] ipw3945: disagrees about version of symbol skb_over_panic
> [ 657.316000] ipw3945: Unknown symbol skb_over_panic
> [ 657.316000] ipw3945: disagrees about version of symbol ieee80211_set_geo
> [ 657.316000] ipw3945: Unknown symbol ieee80211_set_geo
> [ 657.316000] ipw3945: disagrees about version of symbol dev_kfree_skb_any
> [ 657.316000] ipw3945: Unknown symbol dev_kfree_skb_any
> [ 657.316000] ipw3945: disagrees about version of symbol ieee80211_rx
> [ 657.316000] ipw3945: Unknown symbol ieee80211_rx
> [ 657.316000] ipw3945: disagrees about version of symbol ieee80211_get_channel
> [ 657.316000] ipw3945: Unknown symbol ieee80211_get_channel
> [ 657.316000] ipw3945: disagrees about version of symbol register_netdev
> [ 657.316000] ipw3945: Unknown symbol register_netdev
> [ 657.316000] ipw3945: disagrees about version of symbol ieee80211_channel_to_index
> [ 657.316000] ipw3945: Unknown symbol ieee80211_channel_to_index
> [ 657.316000] ipw3945: disagrees about version of symbol ieee80211_rx_mgt
> [ 657.316000] ipw3945: Unknown symbol ieee80211_rx_mgt
> [ 657.316000] ipw3945: disagrees about version of symbol ieee80211_get_geo
> [ 657.316000] ipw3945: Unknown symbol ieee80211_get_geo
> [ 657.316000] ipw3945: disagrees about version of symbol free_ieee80211
> [ 657...

There's not yet LRM or linux-meta for 2.6.20, but you can install the linux-image-2.6.20-1-generic (or similar.)

Cheers,
  Kyle

Changed in linux-source-2.6.19:
status: Confirmed → Rejected
status: Fix Committed → Fix Released
Mikael Nilsson (mini) wrote :

I *still* see this on 2.6.20-2-generic

Andrew Fenn (andrewfenn) wrote :

Why is the patch been marked as rejected for an edgy back port?

Ben I'm waiting for this patch to be back ported and there is no reason described for the rejection could you describe why? Have I got this wrong?

I'm still waiting for an edgy back port...

On tis, 2006-12-19 at 11:20 +0000, Andrew wrote:
> Why is the patch been marked as rejected for an edgy back port?

I think the 2.6.19 version has been rejected for edgy. 2.6.19 is not
even in edgy, so I think it's ok.

/Mikael

>
> Ben I'm waiting for this patch to be back ported and there is no reason
> described for the rejection could you describe why? Have I got this
> wrong?
>
> I'm still waiting for an edgy back port...
>
--
Plus ça change, plus c'est la même chose

Ah yes, I can see I have the numbers wrong.

So there needs to be a nomination for 2.6.17 kernel?

merc (merc) wrote :

Hi,

It hasn't locked up for me, and I am using 2.6.20.
Am I just lucky?
Ot can you guys confirm that it *actually* doesn't lock up?

Merc.

On Uto, 2006-12-19 at 12:09 +0000, merc wrote:

> Ot can you guys confirm that it *actually* doesn't lock up?

I can't. Result is the same; soft lockup.

Hi,

Well, I am using the 2.6.20 kernel, and haven't had a single lock-up after several boots.

I will report later if I get this problem again.

Merc.

Changed in linux-source-2.6.20:
status: Unconfirmed → Fix Released
assignee: nobody → ben-collins
importance: Undecided → High
Ben Collins (ben-collins) wrote :

"Backports" are for backporting a newer package to an older dist. This isn't what we want. We want to update the package in Edgy with this patch.

So the patch will go into Edgy, but not as a "backport".

Guillaume Desmottes (cassidy) wrote :

I'm using 2.6.20-2-generic, the boot is very slow and my console is flooded by:
hub 2-0:1.0: connect-debounce failed, port 6 disabled

I'm not sure if it's related to this bug but these errors disappear if i turn the wifi off.

scand1sk (scand1sk) wrote :

I've juste had this problem on 2.6.18-1 kernel (from Debian Sid), just after upgrading my WiFi drivers (rt61pci obtained from rt2x00-source)...

After the updates to Ubuntu 6.10 today (December 26th) this problem has come back with Kernel 2.6.17-10-generic. The patch at http://kmr.nada.kth.se/~mini/ubuntu/ described earlier had fixed the problem for me. I will re-apply the patch and make a new comment if it fails for me.

Martin Zuther (mzuther) wrote :

Hi!

The updated ipw3945 module from http://kmr.nada.kth.se/~mini/ubuntu/ works fine so far on my Lenovo ThinkPad Z61m 9453-A11 with kernel 2.6.17-10-generic.

Thanks a lot (and merry Christmas... <g>),

Martin

Kristian Rink (kawazu) wrote :

Not sure whether this is still of relevance; I've noticed the "soft lockup detected" message on my Toshiba Tecra A8 a couple of times this morning, leaving the machine unable to boot at all. It's a completely new install, first time Linux installation on that very machine, so I can't say whether or not it used to be different before. However, two things:

- The notebook also is equipped with an ipw3945 based NIC, but obviously whether or not the "kill switch" is enabled doesn't matter much - at least the "BUG:" message appeared both having WLAN enabled and disabled, and the machine also managed to boot up cleanly most of the time both having WLAN dis- or enabled.

- Not sure whether this is anyhow related to that issue, I see my kernel log being flooded with messages like this

[17184770.548000] APIC error on CPU0: 40(40)
[17184770.548000] APIC error on CPU1: 40(40)

Kernel is Edgy 2.6.17-10-generic.

Cheers,
Kris

Anders Kringstad (akai) wrote :

If you are using Ubuntu Edgy and would like a "quick and dirty" possible solution for this please see this posting on Ubuntuforums.org: http://ubuntuforums.org/showpost.php?p=1961746 and the thread for more ideas and discussion: http://ubuntuforums.org/showthread.php?t=322180

Just installed Edgy from LiveCD on my Fujitsu Siemens Amilo Pro v3505 Centrino Duo T2050 and the system froze right after mounting local filesystems. I booted into recovery mode and right after the mounting local filesystems message it said "[17179606.332000] BUG: soft lockup detected on CPU#0!".

After reading this I turned wireless off in the BIOS and it worked fine.

Why was this fix declined for Feisty?

Ben Collins (ben-collins) wrote :

It's fixed in feisty.

On sön, 2007-01-07 at 18:25 +0000, Ben Collins wrote:
> It's fixed in feisty.
>

You've missed the part saying that this is actually *not* fixed in
feisty.

I'm running 2.6.20-3-generic, and it still has the same exact problem.

/Mikael

--
Plus ça change, plus c'est la même chose

That's because it was fixed after -3. We're up to -5.7 right now. Use that.

Ben Collins (ben-collins) wrote :

Also the fix is going into the edgy-proposed archive, for testing, and future inclusion into edgy main.

On sön, 2007-01-07 at 18:57 +0000, Ben Collins wrote:
> That's because it was fixed after -3. We're up to -5.7 right now. Use
> that.

Confirmed fixed in 2.6.20-4-generic, that arrived today.

Thanks, great work

/Mikael

>
--
Plus ça change, plus c'est la même chose

I'm seeing this again with an up-to-date Feisty with Kernel 2.6.20-4-generic, I hadn't seen it before in Feisty, but then Feisty hadn't seen my wireless card at all before this kernel build (if that's what the -4 means).

I should say I've only seen it once and that install is now hanging during partition check, I'll come back when I've got the install working again and seen how often (if at all) it reoccurs.

Noone (berserksangr) wrote :

As in one of the comments above, I have this exactly soft lock issue ONLY when booting on battery, right after fsck. 100% failures on updated Kubuntu Edgy, no matter if WIFI is off or on. After plugging the AC power all goes smoothly. I've seen similiar problem here:
http://article.gmane.org/gmane.linux.acpi.devel/20668

Notebook: Toshiba Tecra A7-248.

Binoy Fernandez (binoyaf) wrote :

I am having the same problem on a Dell XPS 1210 notebook running Edgy (2.6.17-10-generic). The system locks up only when booting with the ipw3945 kill switch turned on.

Can we expect an official fix for this (on 2.6.17-10-generic) anytime in the near future?

rudfan (rudfan) wrote :

Any chance for a patch for 2.6.17-11?

Olli Salonen (daou) wrote :

I am still interested in the fix for 2.6.17-10-generic on Edgy. And like I said back in November, the modified ipw3945.ko module did not help. It fixed the boot but disabled sound. I vaguely remember that WinXP uses drivers by the same company for the wifi and sound (don't remember it's name).

I can confirm that using the patch ipw3945.ko helped with the boot problem but it disabled my sound system.
Using HP Pavillion dv5285ea.

Alfredo Matos (alfmatos) wrote :

I can still see this on 2.6.20-8-generic. And it's still being fixed upstream http://bughost.org/bugzilla/show_bug.cgi?id=1096 , so I don't see this a fixed released. Am i missing something ? Because booting with kill switch off still hangs on my Thinkpad T60.

Mikael Nilsson (mini) wrote :

Yes, I still see it too on a Dell XPS M1710. The weird thing is that the early patches did fix the issue for me, but the later not...

Mikael Nilsson (mini) wrote :

Still seen on 2.6.20-8-generic

Changed in linux-source-2.6.20:
status: Fix Released → Confirmed
Patrickometry (patrickometry) wrote :

I'm on 2.6.17-11 and get this BUG as well.

I'm on a Dell Inspiron e1505 with of course the Intel Pro Wireless 3945.

I'm now going to try the fix for the kernel 2.6.17-10. Crossing my fingers.

On mån, 2007-02-19 at 09:27 +0000, Seamus Seven wrote:
> I'm on 2.6.17-11 and get this BUG as well.
>
> I'm on a Dell Inspiron e1505 with of course the Intel Pro Wireless 3945.
>
> I'm now going to try the fix for the kernel 2.6.17-10. Crossing my
> fingers.

I hardly think that will work....

The fix for 2.6.17-10 prevented my computer from locking up even though I'm at the 2.6.17-11 kernel. However, I lost my sound like others. I disabled my wireless in the BIOS for now. I'm on Ubuntu Edgy.

Edgy cd, Feisty install all lockup until I remove my usb mouse and then it works. this is crazy! :)

Guido (vit-kotacka) wrote :

Problem is fixed on Dell D820 with 2.6.20-8-generic kernel now. I have WiFi enabled in the BIOS and "Radio Frequency Kill Switch is On".

Don't know how I did it, but I seem to have recovered the sound.
I have just one question: If the ipw3946.ko file turns of the wireless card. How do you turn it back on once you've booted?

On mån, 2007-02-19 at 20:56 +0000, Quinten Soetens wrote:
> Don't know how I did it, but I seem to have recovered the sound.
> I have just one question: If the ipw3946.ko file turns of the wireless card. How do you turn it back on once you've booted?
>

The patch does not turn off the wireless card.

You should be able to boot with the card enabled. If it's not enabled,
you should have some kind of hotkey to turn it on.

hmm, then I should find a way to enable the hotkey, because that is basically non responsive ...

Fernando (fernando-medina) wrote :

ive a bit different problem..my ibm x60s does not do wifi anymore using edgy. the fn combination does not sem to tuurn on radio and kill switch message shows up.. don´t have windows installed anymore. any suggestions? running edgy with latest dist kernel and wifi used to work, but suddenly booted up and radio gone, help...

soft lockup detected on CPU#0!

I cannot even boot a live CD on edgy or fiesty. In other words, I cannot install Ubuntu or even try it. I run a Dell Inspiron 1501. AMD Turion 64, 2GB DDR2 Memory, 80GB SATA HD, Windows Vista (Works) ATI 256MB Video. Any suggestions on how to boot a live CD? If it doesn't work in Fiesty either, does this mean that I am out of luck for some time? Please help a brother out... ;- }

Fernando does have the right wifi card for this bug according to http://www.thinkwiki.org/wiki/Installing_Ubuntu_6.06_Flight_6_on_a_ThinkPad_X60s#Wi-Fi Please mention this next time so we don't have to check it ourselves, some people are a bit random in choosing a bug to add their problem to.

Feisty Herd 4 works fine for me out of the box. That's kernel linux-source-2.6.20-8

tellno (bbsusing-bbs) wrote :

Still seen on 2.6.20-8-generic

acer tm3012,centrino duo,intel 3945,sata 80G.

Feisty Herd 4 _worked_ fine a few times for me out of the box, then started hanging again during boot when the wifi kill switch was on. So I confirm what tellno says, it's still broken.

Steve White (stevan-white) wrote :

Add Dell Latitude D420.
Startup hangs when WIFI button is turned off, as described above.

Garfeild (garfeild-ubuntu) wrote :

ipw3945.ko works fine with 2.6.17-11 generic. thanks

Garfeild (garfeild-ubuntu) wrote :

but it's needed wifi button be on.

Didier L (l-farquaad) wrote :

Same problem here on a Zepto Znote 6615WD under Feisty Fawn (Herd 4 with latest upgrades, kernel 2.6.20-9-generic): the switch must be turned on at boot time to make sure it boots correctly (at least, while on batteries)

peyote77 (gacy) wrote :

kubuntu edgy updated. Same problem with a toshiba laptop Tecra A7 239.

peyote77 wrote:
> kubuntu edgy updated. Same problem with a toshiba laptop Tecra A7 239.
>
>
Just bought a new HP Pavilion dv9297ea with an Intel 3945 wireless
chipset. Installed Ubuntu Feisty Fawn Herd 5 and wireless works out of
the box with NetworkManager, no issues whatsoever. No need for kill
switch or any such fiddling.

--andrew

--
GnuPG Key ID: ECB18ABA
Fingerprint: FDF3 91FC F5BC 1164 E217 315E 337E 219B ECB1 8ABA

Andrew,

Judging from the on-line documentation, the HP dv9297ea has a wireless button on the front panel, which should turn off all the laptop radio devices.

The question is, will Linux completely boot, while the wireless radio is turned off using this switch?

Steve White wrote:
> Andrew,
>
> Judging from the on-line documentation, the HP dv9297ea has a wireless
> button on the front panel, which should turn off all the laptop radio
> devices.
>
> The question is, will Linux completely boot, while the wireless radio is
> turned off using this switch?
>
>
Ah. I misunderstood. Well, it doesn't work when I turn off wireless:
bootup hangs with soft lockup on CPU#0.

sorry.

--
GnuPG Key ID: ECB18ABA
Fingerprint: FDF3 91FC F5BC 1164 E217 315E 337E 219B ECB1 8ABA

I've the same problem on a Toshiba Satellite Pro P100.
It's a Dual Core processor, when i remove the dual core option in the bios, everything works fine...
I've this problem with The Edgy CDROM and With Feisty Herd5 as well...

Paolo Loberto (mrloba) wrote :

Same problem on HP Pavilion DV5245ea Intel Centrino Duo.
I'm using xubuntu Herd5 with kernel 2.6.20-9-generic

I had this problem with my Dell Inspiron 1501 and finally realized that it happens when a SD card is in the built in slot in the notebook. It boots Windows fine, but Ubuntu locks every time with CPU Soft Lockup During Boot. My terminal output is attached...

Thanks for you comment brokencrystal. In the terminal output you've attached I can't see any mention of the ipw3945 driver. This bug is about that driver. If you don't use the ipw3945 driver then your bug is a different one. If that's the case please make a seperate bug report for your problems with bootup. From what you've said my guess would be that the computer is trying to boot from the SD card - but that discussion is for your bug report when it's ready. Thanks.

sebastian-s (sebastian-s) wrote :

hi all,

I had the same problem with my Toshiba P100 (PSPA3A-05S00P) Notebook
running the Kubuntu Dapper was no problem with WLAN kill switch on.
running Edgy with kernel 2.6.17-11-generic (CD image from http://cdimage.geole.info/) failed with the mentioned lockup.

Cheers Sebastian

Kernel build 2.6.20-10-generic in Ubuntu 7.04 (Feisty Fawn) has fixed this bug for me.

Kristian Rink (kawazu) wrote :

@Duncan: Are you sure? By this morning when I tried to install 2.6.20-10-generic, I had to see that linux-modules-restricted for right this kernel wasn't yet available, and both the ipw3945 will not work without it and (as far as I remember my machine) the error doesn't show up without having linux-modules-restricted installed...

@Kristin: I'm sure for my machine (https://wiki.ubuntu.com/LaptopTestingTeam/HP_Pavilion_DV8220EA) because after your question I restarted five times in a row with the killswitch on. You're right that there was a time delay between the 2.6.20-10-generic and the matching linux-modules-restricted package. I noticed that too when I had to go and find a LAN cable to get back online. That was solved for me when I updated again a few hours later.

2007/3/13, Duncan Lithgow <email address hidden>:
> Kernel build 2.6.20-10-generic in Ubuntu 7.04 (Feisty Fawn) has fixed
> this bug for me.
>
Same here, I have restarted 3 times on batteries with kill switch on
since that upgrade and the bug did not occur.

holber (mikael-holber) wrote :

Same problem on HP Pavilion dv2115ea with Intel core duo T2050. Also have some problems coming back from ram-sleep. This too gives soft lock on cpu0. I'm running 2.6.20-9-generic on Feisty Fawn.

"Thanks for you comment brokencrystal. In the terminal output you've attached I can't see any mention of the ipw3945 driver. This bug is about that driver. If you don't use the ipw3945 driver then your bug is a different one. If that's the case please make a seperate bug report for your problems with bootup. From what you've said my guess would be that the computer is trying to boot from the SD card - but that discussion is for your bug report when it's ready. Thanks."

The reason that I left the reply about the SD card is because I originally (Scroll all the way up to the top of this bug report and you will see it) thought this was my bug, but later realized what was happening. I wanted to follow up so you were not wasting your time trying to figure this out on my machine when that was not really my problem to begin with.

I posted a bug report here for the SD card problem...

https://launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/90560

Maybe you can go there and help figure out the problem. That would be nice.

The laptop is not trying to boot to the SD card. This is not BIOS related as it boots half way through Ubuntu and then hangs with the CPU 0 Soft Lock or whatever it's called. Also, Vista boots fine from the DVD and the HD, but Ubuntu hangs if a card is in the built-in slot, which makes me believe the problem is in Ubuntu or the Linux Kernel itself.

Thanks

Paolo Loberto (mrloba) wrote :

Problem seems to be solved on my HP Pavilion DV5245ea with 2.6.20-11-generic. I made varoius reebot and power on/off with kill switch on and no lockup occurred.

Is this working for these people who have Feisty?
* Paolo Loberto
* Cyprien
* Andrew Henry
.. and others

Why is this bug listed under three different kernels in one bug report. Shouldn't it be split up? It looks like this bug is solved in 2.6.20 but let's give the others a few days to respond...

Kristian Rink (kawazu) wrote :

fix confirmed for recent feisty kernels > 2.6.20-10 on my machine. good work everyone! :)

Paolo Loberto (mrloba) wrote :

fix confirmed for 2.6.20-12-generic on xubuntu feisty.
thanks everyone.

Changed in linux-source-2.6.20:
status: Confirmed → Fix Released
Jørgen Syvertsen (jorgg) wrote :

I use 2.6.17-11-generic, where can I get the ipw3945.ko file for my kernel. I have the same problem on my Asus W5F using Edgy. I cant start with wlan/bluetooth turned off, and neither suspend correctly even though wlan/bluetooth turn on. Can I use the same ipw3945.ko file as posted for 2.6.17-10 on my 2.6.17-11?

blankman (blankman) wrote :

This is also till a problem in the latest 2.6.20-13 build of FF. I have an HP nc6400 with ipw3945 module running. I got into this problem because the hibernate will not work, and it "has" to turn the wireless kill switch on ... so ... just giving some data :)

ipw3945.ko seems to work with 2.6.17-11-generic too.

It works fine on my Dell Inspiron 6400.

(Don`t forget backup! So you can test it risklessly)

mnemonic (sven-schomaker-gmx) wrote :

Ok, just in case it helps anyone.

I had a really ugly soft lockup on my desktop. It is running the Feisty release version. The install failed
while booting the live disk, as the xserver was unable to start. So I booted the live disk in Safe Graphics Mode
and everything worked fine using the standard xorg VESA display driver. Now that I've got a nice Radeon X1600
(RV530LE) PCIe card, I installed the fglrx out of the Feisty apt repository. Everything just standard. But it
totally wrecked the machine. Using the fglrx driver I got a soft lockup at starting arbitrary programms.
Sometimes even while loading the gnome session itself. To check if it had anything to do with compiz and
the nice wobbling windows (that couldn't even be activated) I removed compiz and used the standard
metacity window manager. Nothing changed. I still had lockups everytime I started an X session. So finally
I suspected the darn fglrx and removed it from the system, reenabling the vesa driver and - rataplan - no
lockups ever since:-) Yeehaw! Got my system back. So if anyone is experiencing this really annoying bug,
CHECK IF YOU GOT THE FGLRX INSTALLED AND ACTIVATED. IF SO, REMOVE IT AND TRY AGAIN. Anyhow I also
noticed it is related to some other drivers as well, but this time it was the fglrx for sure, so give it a try without
it.

good luck to all of you having a lockup on your machine

greetings sven

Output of lspci -v, lsmod, uname -a, cat /proc/cpuinfo; cat /etc/X11/xorg.conf attached in the text file

Note: The output of lsmod and xorg.conf are made without the fglrx driver. The way it would look like with
the fglrx driver loaded only differs in the vesa driver line in xorg.conf and one line of lsmod output.

balak (balak) wrote :

Hi All,

I am seeing the same issue on ubuntu Feisty Fawn on my averatec 2150. It has a wireless on/off button and if I turn it off by mistake, the computer doesn't boot. This laptop does not have the intel wireless card - it is a "RaLink Mini PCI wireless built in IEEE 802.11b/g" according to this page: http://www.tux.org/~gkwms/av2150.htm
Should I file a separate bug (since the wireless card is different ?) or will it be contained in the same bug

I am running kernel 2.6.17 (amd64).

Once this started, I am having trouble booting up even with the wireless on.

thanks!

I noticed today that I can boot with the kill switch on... is this fixed in Feisty?

Brian Murray (brian-murray) wrote :

Jon Anderson - yes, this should be fixed. At the top of the bug report you can see the status for the 2.6.20 kernel is "Fix Released".

balak - you should file a separate bug as it is about different hardware.

Mark Baas (mark-baas123) wrote :

Im using Feisty kernel 2.6.20-16 and also had the message, after disabling the ipw3945 module the problem disappears. So maybe the bug should be reopened.
I am using a Packard Bell laptop MZ 075 in case that would be necessary to report. Please tell me which output i should supply you with.

Mark Baas (mark-baas123) wrote :

Well now im not totally sure anymore, please anyone tell me how i can trace back this error. I cannot see when it is loading something, and under failsafe i have no problems.

Paul (kztyrvlq) wrote :

Good Day All . . .

I had this also today (if it is related to this).

on boot - Checking File Systems - fsck 1.40-WIP (14 Nov-2006) was doing a forced check on one of my backup hard drives when the system locked up with

   [71:492208] Bug: soft lockup detected on CPU#0!

Without knowing what to tell you I will say that as of today I have all the system updates installed on Kubuntu 7.04.

Let me know what else you want.

Thank You.

soft lock detected on CPU#0

Brian Murray (brian-murray) wrote :

koma - It would be helpful to know what kernel you received that error message with.

koma (koen-koma) wrote :

Feisty with all latest updates, 2.6.20-16-generic
it started after doing all latest updates.
Reinstalled the machine now and did all updates but problem does not reproduce. But then, it is not yet configured as the previous install.

Mark Fraser (launchpad-mfraz) wrote :

I had the same thing happen today after doing a reboot. Got as far as

Checking File Systems - fsck 1.40-WIP (14 Nov-2006) was doing a forced check on one of my backup hard drives when the system locked up with

[71:492208] Bug: soft lockup detected on CPU#0!

This is with Feisty fully updated and 2.6.20-16-generic kernel.

Only managed to get the system back up after removing a wireless network card - a CWP-854.

I also get the same error, sometimes but not always, on boot. My computer also freezes up every once in a while. I'm running Ubuntu Feisty, fully updated, my kernel is 2.6.20-16-generic. I have a wireless card (ATI RT61) which I have managed to get working through editing /etc/network/interfaces.

The bug status says fix released, but I get this message every time I boot:

"PCI: Cannot allocate resource region 7 of the bridge 0000:00:06.0"

I have a standard 7.10 32-bit installation.
uname -a:
Linux gutsy 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux

Let me know if you need more information.

kern.log

Thus bug is NOT about the "CPU soft lockup" message. That message is
just a symptom of another bug.

This specific bug is only about the case where this is caused by the
Intel wireless 3945 driver. If you do not have that card, or if your
symptoms do not involve different behavior depending on killswitch
on/off status (i.e. wireless off/on), then, please submit another bug
detailing your issue.

The issue with the intel 3945 driver does indeed seem to be fixed.

/Mikael

lör 2007-10-20 klockan 17:44 +0000 skrev Pradeep Varadarajan:
> The bug status says fix released, but I get this message every time I
> boot:
>
> "PCI: Cannot allocate resource region 7 of the bridge 0000:00:06.0"
>
> I have a standard 7.10 32-bit installation.
> uname -a:
> Linux gutsy 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux
>
>
> Let me know if you need more information.
>
> ** Attachment added: "lspci"
> http://launchpadlibrarian.net/10083264/lspci
>
--
<email address hidden>

Plus ça change, plus c'est la même chose

I have the intel PRO/Wireless 4965 AGN card. Would it be related?

Mikael Nilsson (mini) wrote :

lör 2007-10-20 klockan 21:02 +0000 skrev Pradeep Varadarajan:
> I have the intel PRO/Wireless 4965 AGN card. Would it be related?

Might be, it's the same driver.

Can you please describe your issue in detail, and try booting with and
without the wireless switch on?

--
<email address hidden>

Plus ça change, plus c'est la même chose

Changed in linux-source-2.6.22:
status: New → Invalid

If you are still experiencing issues, please test with the latest Hardy Alpha release. General information regarding the release can also be found here: http://www.ubuntu.com/testing/ . The Hardy Heron Alpha series contains an updated version of the kernel which is actively being developed. You can download and try the new Hardy Heron Alpha release from http://cdimage.ubuntu.com/releases/hardy/ . You should be able to then test the new kernel via the LiveCD. If you can, please verify if this bug still exists. If the issue still exists, please open a new bug report against the 'linux' package. Be sure to include the debugging information described at: https://wiki.ubuntu.com/KernelTeamBugPolicies . Thanks.

Changed in linux-source-2.6.17:
status: Confirmed → Won't Fix

Solved this problem some time back. Thanks!

On Tue, Mar 4, 2008 at 8:44 PM, Leann Ogasawara <email address hidden> wrote:

> If you are still experiencing issues, please test with the latest Hardy
> Alpha release. General information regarding the release can also be
> found here: http://www.ubuntu.com/testing/ . The Hardy Heron Alpha
> series contains an updated version of the kernel which is actively being
> developed. You can download and try the new Hardy Heron Alpha release
> from http://cdimage.ubuntu.com/releases/hardy/ . You should be able to
> then test the new kernel via the LiveCD. If you can, please verify if
> this bug still exists. If the issue still exists, please open a new bug
> report against the 'linux' package. Be sure to include the debugging
> information described at: https://wiki.ubuntu.com/KernelTeamBugPolicies
> . Thanks.
>
> ** Changed in: linux-source-2.6.17 (Ubuntu)
> Status: Confirmed => Won't Fix
>
> --
> CPU soft lockup during boot if ipw3945 kill switch is on
> https://bugs.launchpad.net/bugs/63418
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Pages for Pew, Pulpit and Podium: http://jmomandia.googlepages.com/
--
文祖賢神父 | 香港肇輝台七號一樓B座
JMO Mandia | 1B 7 Shiu Fai Terrace, HK
Tel: 852-25727331 | Fax: 852-2573-2470 | Mobile: 852-9162-7442 | Vietnam:
84-938-059-820
THIS MESSAGE is intended solely for the addressee. If you are not the
intended recipient, any disclosure, copying, or distribution of the message,
or any action or omission taken by you in reliance on it is prohibited and
may be unlawful. Please contact the sender immediately if you have received
this message in error.

vicnov (dreamland-skib2) wrote :

Seems this problem is fixed in Ubuntu 7.10 - I was able to boot with WiFi turned off.

JMO Mandia (jmomandia) wrote :

That's right.

On Wed, Mar 5, 2008 at 5:24 PM, vicnov <email address hidden> wrote:

> Seems this problem is fixed in Ubuntu 7.10 - I was able to boot with
> WiFi turned off.
>
> --
> CPU soft lockup during boot if ipw3945 kill switch is on
> https://bugs.launchpad.net/bugs/63418
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Joseph Piché (josephpiche) wrote :

Even though this bug is marked as fixed, I just encountered it on a fresh install of 8.04.1 when I chose to hibernate the laptop. I have an atheros wireless card (b43 module), but I haven't installed any restricted software nor have I installed the binary firmware yet.

The exact message is:

[ ####.######] BUG: soft lockup - CPU#0 stuck for 11s! [ipolldevd:5141]

Instead of hibernating, this message scrolls indefinitely.

Brian Murray (brian-murray) wrote :

Joseph, please open a new bug report since this is about a very different situation than your bug.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.